
local paid = false
--if you want this perk deck to be instantly unlocked, change the above "true" to "false" (no quotation marks)




Hooks:PostHook(SkillTreeTweakData,"init","agentperkdeck_initskilltree",function(self,data)
	local costs = {
		[1] = 200,
		[2] = 300,
		[3] = 400,
		[4] = 600,
		[5] = 1000,
		[6] = 1600,
		[7] = 2400,
		[8] = 3200,
		[9] = 4000
	}
	local function cost(n)
		return paid and costs[n] or 0
	end

	local deck2 = {
		cost = cost(2),
		desc_id = "menu_deck_agent_2_desc",
		name_id = "menu_deckall_2",
		upgrades = {
			"weapon_passive_headshot_damage_multiplier"
		},
		icon_xy = {
			1,
			0
		}
	}
	local deck4 = {
		cost = cost(4),
		desc_id = "menu_deck_agent_4_desc",
		name_id = "menu_deckall_4",
		upgrades = {
			"passive_player_xp_multiplier",
			"player_passive_suspicion_bonus",
			"player_passive_armor_movement_penalty_multiplier"
		},
		icon_xy = {
			3,
			0
		}
	}
	local deck6 = {
		cost = cost(6),
		desc_id = "menu_deck_agent_6_desc",
		name_id = "menu_deckall_6",
		upgrades = {
			"armor_kit",
			"player_pick_up_ammo_multiplier"
		},
		icon_xy = {
			5,
			0
		}
	}
	local deck8 = {
		cost = cost(8),
		desc_id = "menu_deck_agent_8_desc",
		name_id = "menu_deckall_8",
		upgrades = {
			"weapon_passive_damage_multiplier",
			"passive_doctor_bag_interaction_speed_multiplier"
		},
		icon_xy = {
			7,
			0
		}
	}
	
	local perk_deck_data = {
		name_id = "menu_deck_agent_title",
		desc_id = "menu_deck_agent_desc",
		{
			upgrades = {
				"player_agent_acrobatics_base",
				"player_agent_acrobatics_dodge_chance_bonus",
				"player_agent_acrobatics_crit_chance_bonus",
				"player_agent_acrobatics_charges_count_1"
			},
			cost = cost(1),
			icon_xy = {0, 0},
			texture_bundle_folder = "cflapflapagent",
			name_id = "menu_deck_agent_1",
			desc_id = "menu_deck_agent_1_desc"
		},
		deck2,
		{
			upgrades = {
				"player_agent_acrobatics_dodge_increase_on_crit"
			},
			cost = cost(3),
			icon_xy = {1, 0},
			texture_bundle_folder = "cflapflapagent",
			name_id = "menu_deck_agent_3",
			desc_id = "menu_deck_agent_3_desc"
		},
		deck4,
		{
			upgrades = {
				"player_agent_acrobatics_kill_cooldown_drain"
			},
			cost = cost(5),
			icon_xy = {2, 0},
			texture_bundle_folder = "cflapflapagent",
			name_id = "menu_deck_agent_5",
			desc_id = "menu_deck_agent_5_desc"
		},
		deck6,
		{
			upgrades = {
				"player_agent_acrobatics_charges_count_2",
				"player_agent_dodge_inspire_basic_aoe"
			},
			cost = cost(7),
			icon_xy = {3, 0},
			texture_bundle_folder = "cflapflapagent",
			name_id = "menu_deck_agent_7",
			desc_id = "menu_deck_agent_7_desc"
		},
		deck8,
		{
			upgrades = {
				"player_agent_pick_lock_speed_multiplier"
			},
			cost = cost(9),
			icon_xy = {0, 1},
			texture_bundle_folder = "cflapflapagent",
			name_id = "menu_deck_agent_9",
			desc_id = "menu_deck_agent_9_desc"
		}
	}

	table.insert(self.specializations,perk_deck_data)
		
	local agent_decknumber = #self.specializations or 23
	
	Hooks:Add("LocalizationManagerPostInit", "agentperkdeck_addlocalization", function( loc )
		if agent_decknumber then 
			--used for the name of the perk deck as it appears on other players,
			--since the perk deck index is synced, and the index will vary with custom perk decks
			loc:add_localized_strings({
				["menu_st_spec_" .. tostring(agent_decknumber)] = loc:text(perk_deck_data.name_id)
			})
		end
		
--		the 'generic' perkdeck cards ("menu_deckall_2_desc" etc) have a macro localization issue when referenced directly
--		so we need to fix it for our deck here and substitute the macro keys with the proper values
--		if a mod has edited the values, that will be a problem, however

		local adjusted_description_2 = loc:text("menu_deckall_2_desc")
		adjusted_description_2 = string.gsub(adjusted_description_2,"$multiperk;","25%%")
		local adjusted_description_4 = loc:text("menu_deckall_4_desc")
		adjusted_description_4 = string.gsub(adjusted_description_4,"$multiperk;","+1")
		adjusted_description_4 = string.gsub(adjusted_description_4,"$multiperk2;","15%%")
		adjusted_description_4 = string.gsub(adjusted_description_4,"$multiperk3;","45%%")
		local adjusted_description_6 = loc:text("menu_deckall_6_desc")
		adjusted_description_6 = string.gsub(adjusted_description_6,"$multiperk;","135%%")
		local adjusted_description_8 = loc:text("menu_deckall_8_desc")
		adjusted_description_8 = string.gsub(adjusted_description_8,"$multiperk;","5%%")
		adjusted_description_8 = string.gsub(adjusted_description_8,"$multiperk2;","20%%")
		
		loc:add_localized_strings({
			menu_deck_agent_2_desc = adjusted_description_2,
			menu_deck_agent_4_desc = adjusted_description_4,
			menu_deck_agent_6_desc = adjusted_description_6,
			menu_deck_agent_8_desc = adjusted_description_8 
		})
	end)

	
end)


if not BeardLib then
	BLT.AssetManager:CreateEntry("guis/dlcs/cflapflapagent/textures/pd2/specialization/icons_atlas", Idstring("texture"), ModPath .. "assets/guis/dlcs/cflapflapagent/textures/pd2/specialization/icons_atlas.texture")
end
