Hooks:PostHook(UpgradesTweakData,"_player_definitions","agentperkdeck_init_player_definitions",function(self)

	local pick_lock_upgrades = #self.values.player.pick_lock_speed_multiplier + 1
	table.insert(self.values.player.pick_lock_speed_multiplier,pick_lock_upgrades,0.5) -- +200% faster lockpick speed (upgrade 1 is 0.8)
	--i'm going to some lengths to make sure that if something breaks or conflicts regarding lockpick speed, it's not my fault
	
	self.values.player.agent_acrobatics_base = {
		{
			duration = 12, -- 12 second duration
			kill_extension = 0.5, -- +0.5 seconds duration extension per kill
			movement_grace_period = 6, -- effects applied while moving or up to 6 seconds after moving
			cooldown = 60 -- recharges 60 seconds after activation
		}
	}
	self.values.player.agent_acrobatics_dodge_chance_bonus = {
		0.1 -- +10% dodge flat on activation
	}
	self.values.player.agent_acrobatics_crit_chance_bonus = {
		{
			critical_hit_chance_bonus = 0.02, -- +2% critical chance for every enemy killed
			max_stacks = 10 -- crit chance bonus stacks up to 10 times
		}
	}
	
	self.values.player.agent_acrobatics_charges_count = {
		1, -- 1 charge by default
		2 -- 2 charges, can be activated concurrently
	}
	
	self.values.player.agent_acrobatics_dodge_increase_on_crit = {
		{
			dodge_chance_bonus = 0.05,
			max_stacks = 3
		}
	}
	
	self.values.player.agent_acrobatics_kill_cooldown_drain = {
		1 -- -1 second from cooldown on kill, when acrobatics is not active
	}
	
	self.values.player.agent_acrobatics_heal_on_dodge = {
		0.01 -- +10 health on successful dodge
	}
	
	self.values.player.agent_acrobatics_dodge_inspire_basic_aoe = {
		10 --every 11th dodge procs inspire basic's movement speed and reload speed for all crew members
	}
	
--	self.values.player.agent_acrobatics_lockpick_interaction_speed_bonus = {
--		2 -- +200% faster lockpick speed
--	}
		--player_pick_lock_speed_multiplier
	
	self.definitions.player_agent_acrobatics_base = {
		name_id = "agent_upgrade_id_1",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "agent_acrobatics_base",
			category = "player"
		}
	}
	self.definitions.player_agent_acrobatics_dodge_chance_bonus = {
		name_id = "agent_upgrade_id_1",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "agent_acrobatics_dodge_chance_bonus",
			category = "player"
		}
	}
	self.definitions.player_agent_acrobatics_charges_count_1 = {
		name_id = "agent_upgrade_id_1",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "agent_acrobatics_charges_count",
			category = "player"
		}
	}
	self.definitions.player_agent_acrobatics_crit_chance_bonus = {
		name_id = "agent_upgrade_id_1",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "agent_acrobatics_crit_chance_bonus",
			category = "player"
		}
	}
	self.definitions.player_agent_acrobatics_dodge_increase_on_crit = {
		name_id = "agent_upgrade_id_3",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "agent_acrobatics_dodge_increase_on_crit",
			category = "player"
		}
	}
	self.definitions.player_agent_acrobatics_kill_cooldown_drain = {
		name_id = "agent_upgrade_id_5",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "agent_acrobatics_kill_cooldown_drain",
			category = "player"
		}
	}
	self.definitions.player_agent_acrobatics_heal_on_dodge = {
		name_id = "agent_upgrade_id_5",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "agent_acrobatics_heal_on_dodge",
			category = "player"
		}
	}
	self.definitions.player_agent_acrobatics_charges_count_2 = {
		name_id = "agent_upgrade_id_7",
		category = "feature",
		upgrade = {
			value = 2,
			upgrade = "agent_acrobatics_charges_count",
			category = "player"
		}
	}
	self.definitions.player_agent_dodge_inspire_basic_aoe = {
		name_id = "agent_upgrade_id_7",
		category = "feature",
		upgrade = {
			value = 1,
			upgrade = "agent_acrobatics_dodge_inspire_basic_aoe",
			category = "player"
		}
	}
	self.definitions.player_agent_pick_lock_speed_multiplier = {
		name_id = "agent_upgrade_id_9",
		category = "feature",
		upgrade = {
			value = pick_lock_upgrades,
			upgrade = "pick_lock_speed_multiplier",
			category = "player"
		}
	}
end)